1

I'm trying to install mod_WSGI on Ubuntu 12.04. Here is the set of commands that I'm following:

wget http://modwsgi.googlecode.com/files/mod_wsgi-3.4.tar.gz
tar xvfz mod_wsgi-3.4.tar.gz
cd mod_wsgi-3.4
./configure
make
make install
echo "LoadModule wsgi_module /usr/lib/apache2/modules/mod_wsgi.so" > /etc/apache2/mods-available/wsgi.load
a2enmod wsgi
a2dissite default

However, when I do ./configure, it gives me this output:

checking for apxs2... no
checking for apxs... no
checking Apache version... ./configure: line 1747: apxs: command not found
./configure: line 1747: apxs: command not found
./configure: line 1748: apxs: command not found
./configure: line 1751: /: Is a directory

checking for python... /usr/bin/python
./configure: line 1920: apxs: command not found
configure: creating ./config.status
config.status: error: cannot find input file: `Makefile.in'

I'm following this tutorial in case you are curious: http://www.lennu.net/2012/05/14/django-deployement-installation-to-ubuntu-12-dot-04-server/

1

I believe apxs is included in apache2-dev Install apache2-dev. I suggest you do:

sudo apt-get install apache2-dev

After it and its dependencies are installed, try configure again. I got:

chili@T410:~/mod_wsgi-3.4$ ./configure
checking for apxs2... /usr/bin/apxs2 
checking Apache version... 2.X 
checking for python... /usr/bin/python
configure: creating ./config.status
config.status: creating Makefile

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.